Перейти к содержимому

GET /v2/templates

List templates (v2)

List all templates

Параметры

  • teamID · string · запрос · необязательно

    Identifier of the team

  • nextToken · string · запрос · необязательно

    Cursor to start the list from

  • limit · integer · запрос · необязательно

    Maximum number of items to return per page

    Формат: int32

    По умолчанию: 100

    Минимум: 1

    Максимум: 100

Ответы

200

Successfully returned all templates

Заголовки ответа

  • X-Next-Token · string · заголовок ответа

    Cursor to fetch the next page of results, if more exist

Content-Type: application/json

Схема: array<Template>

  • templateID · string · обязательно

    Identifier of the template

  • buildID · string · обязательно

    Identifier of the last successful build for given template

  • cpuCount · CPUCount · обязательно

    CPU cores for the sandbox

    Формат: int32

    Минимум: 1

  • memoryMB · MemoryMB · обязательно

    Memory for the sandbox in MiB

    Формат: int32

    Минимум: 128

  • diskSizeMB · DiskSizeMB · обязательно

    Disk size for the sandbox in MiB

    Формат: int32

    Минимум: 0

  • public · boolean · обязательно

    Whether the template is public or only accessible by the team

  • names · array<string> · обязательно

    Names of the template (namespace/alias format when namespaced)

  • createdAt · string · обязательно

    Time when the template was created

    Формат: date-time

  • updatedAt · string · обязательно

    Time when the template was last updated

    Формат: date-time

  • createdBy · TeamUser | null · обязательно

  • createdBy.id · string · обязательно

    Identifier of the user

    Формат: uuid

  • lastSpawnedAt · string | null · обязательно

    Time when the template was last used

    Формат: date-time

  • spawnCount · integer · обязательно

    Number of times the template was used

    Формат: int64

  • buildCount · integer · обязательно

    Number of times the template was built

    Формат: int32

  • envdVersion · EnvdVersion · обязательно

    Version of the envd running in the sandbox

  • buildStatus · TemplateBuildStatus · обязательно

    Status of the template build

    Допустимые значения для TemplateBuildStatus: building | waiting | ready | error

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

403

Forbidden

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error